- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QWizardPage Class Reference

Search for all occurrences

## Detailed Description

Definition at line 214 of file qwizard.h.

`#include <qwizard.h>`

Inheritance diagram for QWizardPage:
[legend]

List of all members.

## Signals
void | completeChanged ()
## Public Member Functions
| QWizardPage (QWidget *parent=0)
void | setTitle (const QString &title)
QString | title () const
void | setSubTitle (const QString &subTitle)
QString | subTitle () const
void | setPixmap (QWizard::WizardPixmap which, const QPixmap &pixmap)
QPixmap | pixmap (QWizard::WizardPixmap which) const
void | setFinalPage (bool finalPage)
bool | isFinalPage () const
void | setCommitPage (bool commitPage)
bool | isCommitPage () const
void | setButtonText (QWizard::WizardButton which, const QString &text)
QString | buttonText (QWizard::WizardButton which) const
virtual void | initializePage ()
virtual void | cleanupPage ()
virtual bool | validatePage ()
virtual bool | isComplete () const
virtual int | nextId () const
## Protected Member Functions
void | setField (const QString &name, const QVariant &value)
QVariant | field (const QString &name) const
void | registerField (const QString &name, QWidget *widget, const char *property=0, const char *changedSignal=0)
QWizard * | wizard () const
## Properties
QString | title
QString | subTitle
## Friends
class | QWizardPrivate

## Constructor & Destructor Documentation

QWizardPage | ( | QWidget * | parent = `0` | ) |

## Member Function Documentation

void setTitle | ( | const QString & | title | ) |

Search for all occurrences

QString title | ( |  | ) | const

Search for all occurrences

void setSubTitle | ( | const QString & | subTitle | ) |

Search for all occurrences

QString subTitle | ( |  | ) | const

Search for all occurrences

void setPixmap | ( | QWizard::WizardPixmap | which,
|  | const QPixmap & | pixmap
| ) |  |

Search for all occurrences

QPixmap pixmap | ( | QWizard::WizardPixmap | which | ) | const

Search for all occurrences

void setFinalPage | ( | bool | finalPage | ) |

Search for all occurrences

bool isFinalPage | ( |  | ) | const

Search for all occurrences

void setCommitPage | ( | bool | commitPage | ) |

Search for all occurrences

bool isCommitPage | ( |  | ) | const

Search for all occurrences

void setButtonText | ( | QWizard::WizardButton | which,
|  | const QString & | text
| ) |  |

Search for all occurrences

QString buttonText | ( | QWizard::WizardButton | which | ) | const

Search for all occurrences

virtual void initializePage | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void cleanupPage | ( |  | ) | `[virtual]`

Search for all occurrences

virtual bool validatePage | ( |  | ) | `[virtual]`

Search for all occurrences

virtual bool isComplete | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual int nextId | ( |  | ) | const `[virtual]`

Search for all occurrences

void completeChanged | ( |  | ) | `[signal]`

Search for all occurrences

void setField | ( | const QString & | name,
|  | const QVariant & | value
| ) |  | `[protected]`

Search for all occurrences

QVariant field | ( | const QString & | name | ) | const `[protected]`

Search for all occurrences

void registerField | ( | const QString & | name,
|  | QWidget * | widget,
|  | const char * | property = `0`,
|  | const char * | changedSignal = `0`
| ) |  | `[protected]`

Search for all occurrences

QWizard* wizard | ( |  | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWizardPrivate `[friend]`

Search for all occurrences

Definition at line 259 of file qwizard.h.

## Property Documentation

QString title `[read, write]`

Search for all occurrences

Definition at line 217 of file qwizard.h.

QString subTitle `[read, write]`

Search for all occurrences

Definition at line 218 of file qwizard.h.

The documentation for this class was generated from the following file:

- QtGui/qwizard.h

QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage
QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage QWizardPage